# UpdateContact

Use this method to update a contact's details. **Note:** When you are updating a contact you don’t need to specify every element. If you exclude an element then the existing value will be preserved.

## Properties

#### Authentication

Authentication values used to connect to the Xero server.

#### Contact Id

Unique identifier of the contact to update.

#### Contact

Contact to update.

## Output

#### Contact

Contact updated.

## Links

[Xero Developer: Contacts (POST)](https://developer.xero.com/documentation/api/contacts#POST)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/contacts/updatecontact.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
